<?php

/**
 * undocumented class
 *
 **/
class ResultWidget extends BaseWidget
{
    /**
     * Current page
     *
     * @public string
     **/
    public $page = 1;

    public $pageSize = 4;

    public function run()
    {
        $phrase = 'content:(user)';
        $searchApi = new SearchApi();

        $searchAdaptor = new SearchAdaptor(function($start, $count) use($searchApi, $phrase){
            return $searchApi->simpleSearch($phrase, true, $start, $count);    
        });
        $searchAdaptor->page = $this->page;
        $searchAdaptor->pageSize = $this->pageSize;

        $results = $searchAdaptor->fetch();
        $existsMore = $searchAdaptor->existsMore();

        $this->render('ResultWidget', array('results' => $results, 'existsMore' => $existsMore));
    }
}
