<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class BasePersonalisationWidget extends BaseJuiWidget
{
    public function init()
    {
        parent::init();
        $assetsUrl = $this->getModule()->getAssetsUrl();
        Yii::app()->clientScript->registerCssFile($assetsUrl . '/css/dhtmlxtree.css');
        Yii::app()->clientScript->registerCssFile($assetsUrl . '/css/style.css');
        Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/dhtmlxcommon.js');
        Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/dhtmlxtree.js');
        Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/dhtmlxtree_json.js');
    }

    /**
     * @return PersonalisationModule
     */
    public function getModule()
    {
        return Yii::app()->getModule('personalisation');
    }
}
