<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Andrey
 * Date: 4/9/13
 * Time: 12:54 PM
 * To change this template use File | Settings | File Templates.
 */

class CSVFile extends SplFileObject
{
    private $keys;

    public function __construct($file)
    {
        parent::__construct($file);
        $this->setFlags(SplFileObject::READ_CSV);
    }

    public function rewind()
    {
        parent::rewind();
        $this->keys = parent::current();
        parent::next();
    }

    public function current()
    {
        $current = parent::current();
        if(empty($current[0])){
            return false;
        }

        return array_combine($this->keys, $current);
    }

    public function getKeys()
    {
        return $this->keys;
    }
}